/*
 * xfce4-newsreader-plugin
 * A lightweight RSS/Atom news feed reader on xfce4-panel 
 * Copyright (C) 2005 mueki <mueki@users.sourceforge.jp>
 *  
 * config_gui.h
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.

 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef _config_gui_h
#define _config_gui_h
/*static char     _config_gui_h_id[] = "$Id$";*/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>

#include <libxfce4util/i18n.h>
#include <libxfcegui4/dialogs.h>
#include <panel/plugins.h>
#include <panel/xfce.h>


typedef struct gui_t {
    /* Configuration GUI widgets */
	GtkWidget      *wTopLevel;
    GtkWidget      *wSpnWidth;
    GtkWidget      *wSpnMin;
    GtkWidget      *wSpnSec;
	GtkWidget      *wBtnListRemove;
	GtkWidget      *wBtnListApply;
	GtkWidget      *wBtnListAdd;
	GtkWidget      *wBtnListUp;
	GtkWidget      *wBtnListDown;
	GtkWidget      *wTrFeedList;
	GtkWidget      *wEntFeedTitle;
	GtkWidget      *wEntFeedURL;
	GtkWidget      *wFbtItemFont;
	GtkWidget      *wEntBrowserCmd;
	GtkWidget      *wSpnUntil;
	GtkWidget      *wChkTooltips;
    GtkTreeModel      *wModel;
} gui_t;

#ifdef __cplusplus
extern          "C" {
#endif

    int             newsreader_CreateConfigGUI (GtkWidget * ParentWindow,
					    struct gui_t *gui);
    /* Create configuration/Option GUI */
    /* Return 0 on success, -1 otherwise */

#ifdef __cplusplus
}				/* extern "C" */
#endif

#endif				/* _config_gui_h */
